import {
    Story,
    Preview,
    Meta,
    Description,
} from "@storybook/addon-docs/blocks";
import { withKnobs, text, array } from "@storybook/addon-knobs";
import { html } from "lit-html";
import CATEGORIES from "../categories";

<Meta title={CATEGORIES.COMPONENTS + "Select"} />

# Select input

<Preview
    mdxSource={`
        <ui-select>
            <option value="sortBy:alphabet"> Alpha </option>
            <option value="sortBy:recentlyChanged"> Recently </option>
        </ui-select>
    `}
>
    <Story height="30px" name="Select" parameters={{ decorators: [withKnobs] }}>
        {html`
            <ui-select>
                <option value="sortBy:alphabet"> Alpha </option>
                <option value="sortBy:recentlyChanged"> Recently </option>
            </ui-select>
        `}
    </Story>
</Preview>

---

# Developer Documentation
